You are not logged in.

Dear visitor, welcome to krpano.com Forum. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

Jonnie

Beginner

  • "Jonnie" started this thread

Posts: 37

Location: Denmark

Occupation: ex Software Architect 20 years (Aerospace Industry), then hotel owner now campground owner, I do some IT consultancy

  • Send private message

1

Tuesday, April 23rd 2019, 10:54am

Linux - some issues krpano tools

Hi,
I am working on Ubuntu 18.04.1 LTS after leaving the world of Windows some months ago.
After installing the current 64 bit linux version of Krpano I experienced the following with krpano tools.
The virtual tour editor tab shows a black screen with the error message "HTML5 browser with WebGL support required".
This seemed odd as this editor is documented as being there to avoid browser limitations.
I did not think this would be a graphics card issue but to be sure I ran both graphics cards on my hybrid machine ( DRI_PRIME=1 | ./'krpano Tools' ) which has always solved any graphics cards related issues in the past.

other tabs work its just the virtual tour editor that does not.

This is not a show stopper for me - returning to Krpano for a new project after a few years absence and so not as familar as I used to be,

I am exploring the word of WebVR and just wanted to use the virtual tour editor to set up a non-WebVR version of my tour in the hope that I could modify it for WebVR.
Instead I will go over to editing the code which is what I used to do when I was more familiar.